#include "BlockRemovedUpdate.h"
#include "Globals.h"
#include "Game.h"

BlockRemovedUpdateType::BlockRemovedUpdateType()
	: WorldUpdateType(ID)
{}

void BlockRemovedUpdateType::applyUpdate(Framework::StreamReader* zReader)
{
	Framework::Vec3<int> pos;
	zReader->lese((char*)&pos.x, 4);
	zReader->lese((char*)&pos.y, 4);
	zReader->lese((char*)&pos.z, 4);
	Block* b = currentGame->zBlockAt(pos);
	if (b)
		currentGame->zDimension()->removeBlock(b);
}