#ifndef Initialisierung_H
#define Initialisierung_H

#include <Knopf.h>
#include <Bild.h>
#include <AuswahlBox.h>
#include <Tabelle.h>
#include <Diagramm.h>
#include <Fortschritt.h>
#include <initializer_list>

using namespace Framework;

struct OBJTabelleSpalteIni
{
	char* name;
	int breite;
	int minBreite;
	int maxBreite;
};

Knopf* initKnopf(int x, int y, int br, int h, __int64 style, char* titel);
KontrollKnopf* initKontrollKnopf(int x, int y, int br, int h, __int64 style, char* txt);
TextFeld* initTextFeld(int x, int y, int br, int h, __int64 style, char* txt);
BildZ* initBildZ(int x, int y, int br, int h, __int64 style, Bild* b);
AuswahlBox* initAuswahlBox(int x, int y, int br, int h, __int64 style, std::initializer_list< char* > values);
ObjTabelle* initObjTabelle(int x, int y, int br, int h, __int64 style, std::initializer_list< OBJTabelleSpalteIni > spalten, int berschriftHhe);
LDiag* initLinienDiagramm(int x, int y, int br, int h, __int64 style, DiagDaten* data);
FBalken* initFBalken(int x, int y, int br, int h, __int64 style);

#endif